--HUD time
hud.add(function(v, player)
	if player.mo.skin != "cosmetal" then return end
	
	//Lives HUD for Singleplayer and not OLDC
	local x,y = hudinfo[HUD_LIVES].x,hudinfo[HUD_LIVES].y-9
	if not OLDC and not splitscreen
		v.drawString(282, 5, skins[player.mo.skin].hudname, V_HUDTRANS|V_PERPLAYER|V_YELLOWMAP|V_SNAPTOTOP|V_SNAPTORIGHT, "center")
		v.drawScaled(290*FRACUNIT, 15*FRACUNIT, FRACUNIT*3/4, v.getSprite2Patch("cosmetal", "XTRA", false, A), V_PERPLAYER|V_HUDTRANS|V_SNAPTOTOP|V_SNAPTORIGHT, v.getColormap("cosmetal", player.mo.color))
		v.draw(282, 27, v.cachePatch("STLIVEX"), V_PERPLAYER|V_HUDTRANS|V_SNAPTOTOP|V_SNAPTORIGHT)
		if player.lives <= 99
			v.drawNum(280, 25, player.lives, V_PERPLAYER|V_HUDTRANS|V_SNAPTOTOP|V_SNAPTORIGHT)
		else
			v.draw(270, 27, v.cachePatch("STCFN022"), V_PERPLAYER|V_HUDTRANS|V_SNAPTOTOP|V_SNAPTORIGHT)
		end
	end
	//Cooldown bars
	local cooldown = player.boost_cooldown
	local cooldown2 = player.vboost_cooldown
	//Define color vars for bars
	local color
	local color2 = SKINCOLOR_SUPERBLACKHOLE5
	//Determine color for  r a i n b o w
	local hudcolors = {SKINCOLOR_RED, SKINCOLOR_ORANGE, SKINCOLOR_YELLOW, SKINCOLOR_METALLIX, SKINCOLOR_PURPLE, SKINCOLOR_NEON}
	if player.powers[pw_super]
		color = hudcolors[leveltime/8%#hudcolors+1]
	else
		color = SKINCOLOR_METALLIX
	end
	//Bars
	local barpatch = v.cachePatch("SEGMENT")
	if cooldown > 0
		v.drawStretched((x+1)*FRACUNIT, (y+1)*FRACUNIT, (cooldown/4)*FRACUNIT, FRACUNIT, barpatch, V_SNAPTOBOTTOM|V_SNAPTOLEFT|V_PERPLAYER|V_HUDTRANS, v.getColormap(player.mo.skin, color2))
		v.drawStretched(x*FRACUNIT, y*FRACUNIT, (cooldown/4)*FRACUNIT, FRACUNIT, barpatch, V_SNAPTOBOTTOM|V_SNAPTOLEFT|V_PERPLAYER|V_HUDTRANS, v.getColormap(player.mo.skin, color))
	end
	if cooldown2 > 0
		v.drawStretched((x+1)*FRACUNIT, (y-7)*FRACUNIT, (cooldown2/4)*FRACUNIT, FRACUNIT, barpatch, V_SNAPTOBOTTOM|V_SNAPTOLEFT|V_PERPLAYER|V_HUDTRANS, v.getColormap(player.mo.skin, color2))
		v.drawStretched(x*FRACUNIT, (y-8)*FRACUNIT, (cooldown2/4)*FRACUNIT, FRACUNIT, barpatch, V_SNAPTOBOTTOM|V_SNAPTOLEFT|V_PERPLAYER|V_HUDTRANS, v.getColormap(player.mo.skin, color))
	end
	//Emerald drawer
	CMS.drawEmeralds(v)
end, "game")

local function hudHandler(v, player)
	if not(player.mo and player.mo.valid) then return end
	//Handle the lives HUD
	if not OLDC and not splitscreen
		if player.mo.skin == "cosmetal"
			hud.disable("lives")
		else
			hud.enable("lives")
		end
	end
end
hud.add(hudHandler, "game")