rawset(_G, "SpriteLib", {})

function SpriteLib.VWave(mo, mul, addamount, div)
	if addamount == nil
		addamount = 0
	end
	if div == nil
		div = 1
	end
	mo.spriteyoffset = addamount*FRACUNIT + (mul * cos((ANG10/div)*leveltime))
end

function SpriteLib.HWave(mo, mul, div, timer)
	if div == nil
		div = 1
	end
	if timer == nil
		timer = leveltime
	end
	mo.spritexoffset = mul * sin((ANG10/div)*timer)
end

function SpriteLib.CircleMove(mo, mul, div, timer, addamount)
	if div == nil
		div = 1
	end
	if timer == nil
		timer = leveltime
	end
	if addamount == nil
		addamount = 0
	end
	mo.spriteyoffset = addamount*FRACUNIT + (mul * cos((ANG10/div)*timer))
	mo.spritexoffset = mul * sin((ANG10/div)*timer)
end

function SpriteLib.SetHScale(mo, scale)
	mo.spritexscale = scale
end

function SpriteLib.SetVScale(mo, scale)
	mo.spriteyscale = scale
end

function SpriteLib.SetScale(mo, scale)
	mo.spritexscale = scale
	mo.spriteyscale = scale
end