freeslot("MT_ENERGYAURA", "MT_ENERGYGATHER", "MT_ENERGYBLAST")

mobjinfo[MT_ENERGYBLAST] = {
	spawnstate = S_ENERGYBALL1,
	spawnhealth = 1000,
	reactiontime = 8,
	speed = 28*FRACUNIT,
	radius = 24*FRACUNIT,
	height = 48*FRACUNIT,
	mass = 0,
	damage = 0,
	flags = MF_MISSILE|MF_NOGRAVITY|MF_NOBLOCKMAP
}

mobjinfo[MT_ENERGYAURA] = {
	spawnstate = S_MSSHIELD_F1,
	dispoffset = 2,
	flags = MF_NOBLOCKMAP|MF_NOCLIP|MF_NOCLIPHEIGHT|MF_NOGRAVITY|MF_SCENERY
}
addHook("MobjThinker", function(mo) CMS.MetalAura(mo,mo.target) end, MT_ENERGYAURA)

mobjinfo[MT_ENERGYGATHER] = {
	spawnstate = S_JETFUME1,
	dispoffset = -1,
	flags = MF_NOBLOCKMAP|MF_NOCLIP|MF_NOCLIPHEIGHT|MF_NOGRAVITY|MF_SCENERY
}
addHook("MobjThinker", function(mo) CMS.EnergyGather(mo,mo.target,mo.extravalue1,mo.extravalue2) end,MT_ENERGYGATHER)

//For when aura exists// addHook("MobjThinker", CMS.MetalSuperAura, MT_METAL_SUPERAURA)

CMS.AimThinker = function(p)
	if p.mo.skin == "cosmetal"
		if p.spectator then return end
		
		if p.dashmode >= 3*TICRATE
			if p.pflags&PF_STARTDASH then return true end
			
			if P_IsObjectOnGround(p.mo)
			and p.mo.state != S_PLAY_METALAIM
			and not(p.pflags & (PF_USEDOWN))
				p.mo.cmomx = 5 * cos(p.mo.angle)
				p.mo.cmomy = 5 * sin(p.mo.angle)
				p.dashspeed = 100*FRACUNIT
				S_StartSound(p.mo, sfx_s3k5a)
				p.mo.state = S_PLAY_METALAIM
				p.pflags = $|PF_STARTDASH|PF_USEDOWN|PF_SPINNING
				return true
			end
		end
	end
end
CMS.PlayerThink = function(p)
	if not CMS.SkinCheck(p.mo, "cosmetal") then return end
	if p.mo.state != S_PLAY_METALAIM
		p.spinitem = MT_THOK
		p.revitem = MT_SPINDUST
	else
		p.spinitem = MT_NULL
		p.revitem = MT_NULL
	end
	if p.dashmode >= 3*TICRATE
		if p.pflags&PF_SPINNING
		and not(p.pflags & (PF_STARTDASH))
			p.pflags = $ & ~PF_SPINNING
			p.mo.state = S_PLAY_DASH
		end
	end
end
addHook("SpinSpecial", CMS.AimThinker)
addHook("PlayerThink", CMS.PlayerThink)